javax.websocket.server

## Interface ServerApplicationConfig

-     public interface ServerApplicationConfig

  Developers include implementations of ServerApplicationConfig in an archive containing websocket endpoints (WAR file, or JAR file within the WAR file) in order to specify the websocket endpoints within the archive the implementation must deploy. There is a separate method for programmatic endpoints and for annotated endpoints.
  Author:
    dannycoward

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Set<Class<?>>` | `getAnnotatedEndpointClasses(Set<Class<?>> scanned)` Return a set of annotated endpoint classes that the server container must deploy.
    `Set<ServerEndpointConfig>` | `getEndpointConfigs(Set<Class<? extends Endpoint>> endpointClasses)` Return a set of ServerEndpointConfig instances that the server container will use to deploy the programmatic endpoints.

- - ### Method Detail

    - #### getEndpointConfigs

          Set<ServerEndpointConfig> getEndpointConfigs(Set<Class<? extends Endpoint>> endpointClasses)

      Return a set of ServerEndpointConfig instances that the server container will use to deploy the programmatic endpoints. The set of Endpoint classes passed in to this method is the set obtained by scanning the archive containing the implementation of this ServerApplicationConfig. This set passed in may be used the build the set of ServerEndpointConfig instances to return to the container for deployment.
      Parameters:
        `endpointClasses` - the set of all the Endpoint classes in the archive containing the implementation of this interface.
      Returns:
        the non-null set of ServerEndpointConfig s to deploy on the server, using the empty set to indicate none.

    - #### getAnnotatedEndpointClasses

          Set<Class<?>> getAnnotatedEndpointClasses(Set<Class<?>> scanned)

      Return a set of annotated endpoint classes that the server container must deploy. The set of classes passed in to this method is the set obtained by scanning the archive containing the implementation of this interface. Therefore, this set passed in contains all the annotated endpoint classes in the JAR or WAR file containing the implementation of this interface. This set passed in may be used the build the set to return to the container for deployment.
      Parameters:
        `scanned` - the set of all the annotated endpoint classes in the archive containing the implementation of this interface.
      Returns:
        the non-null set of annotated endpoint classes to deploy on the server, using the empty set to indicate none.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.